Bug 338888 - filter layer sub lists seem unnessesarly large.
Summary: filter layer sub lists seem unnessesarly large.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8.3
Platform: Microsoft Windows Microsoft Windows
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-07 21:28 UTC by ZSpratt
Modified: 2014-11-05 15:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
A screenshot of what I believe is an issue (41.23 KB, image/png)
2014-09-07 21:49 UTC, ZSpratt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ZSpratt 2014-09-07 21:28:42 UTC
The sub options in the filter layer list seem too large.  Like they are all meant to have an image as raindrops does, but none of them do, leading to a long list with few options.  Also, the default windows scrolling speed will miss options at this size.

Reproducible: Always

Steps to Reproduce:
1.click "Create Filter Layer"
2.open any of the sub lists
3.Notice how large they are

Actual Results:  
Each option took up the default size of the new filter layer window.

Expected Results:  
Each option should only be as tall as it needs to be, with the same spacing as the sub list list.
Comment 1 ZSpratt 2014-09-07 21:49:20 UTC
Created attachment 88610 [details]
A screenshot of what I believe is an issue
Comment 2 Sven Langkamp 2014-09-07 22:56:39 UTC
Usually there would be a preview rendering of the filter in the empty space like filter masks have it.
Comment 3 Halla Rempt 2014-11-05 15:23:33 UTC
Git commit 0a312bd7f8c817f0a8d33609121004373adb69f4 by Boudewijn Rempt.
Committed on 05/11/2014 at 14:12.
Pushed by rempt into branch 'master'.

Refresh the image graph so the filter dialog can show a preview

We want to show a preview of what the filter will do, so we need to feed
the dialog the new adjustment layer's original paint device. But unless
we synchronously recompute the image projection, that original paint
device will empty at this point.

M  +1    -0    krita/ui/kis_layer_manager.cc

http://commits.kde.org/calligra/0a312bd7f8c817f0a8d33609121004373adb69f4
Comment 4 Halla Rempt 2014-11-05 15:23:34 UTC
Git commit 1df3b27c42b0e10a6816a2b357a50a8e4f2c6568 by Boudewijn Rempt.
Committed on 05/11/2014 at 15:22.
Pushed by rempt into branch 'master'.

Automatically select the last used filter for filter layers and masks

Only one glitch: the initial preview image is a bit squash, and I have
no idea why.

M  +1    -1    krita/ui/dialogs/kis_dlg_adjustment_layer.cc
M  +1    -0    krita/ui/kis_filters_model.cc
M  +35   -1    krita/ui/widgets/kis_filter_selector_widget.cc
M  +2    -4    krita/ui/widgets/kis_filter_selector_widget.h

http://commits.kde.org/calligra/1df3b27c42b0e10a6816a2b357a50a8e4f2c6568